#include <inttypes.h>
typedef struct{
	char * name;
	char * playlist;
	unsigned int length;
	uint32_t fid;
} playlist;

char *	 	escape		(char * data, unsigned int length);
unsigned int	unescape	(char * str, char ** data);

playlist * 	playlist_create	 (char * name);
playlist *	playlist_read	 (char * name);
playlist * 	playlist_fid_read(uint32_t fid);
int		playlist_free	 (playlist ** pl);
int		playlist_set_name(playlist * pl, char * name);
char *		playlist_get_name(playlist * pl);
int 		playlist_clear	 (playlist * pl);
int		playlist_delete	 (playlist * pl, int karma);
int 		playlist_count	 (playlist * pl);
int 		playlist_get_item(playlist * pl, unsigned int n, uint32_t *fid, uint32_t * fid_generation);
int 		playlist_set_item(playlist * pl, unsigned int n, uint32_t fid, uint32_t fid_generation);
int 		playlist_append	 (playlist * pl, uint32_t fid, uint32_t fid_generation);
int 		playlist_remove	 (playlist * pl, unsigned int n);
int 		playlist_insert	 (playlist * pl, unsigned int n, uint32_t fid, uint32_t fid_generation);
int 		playlist_write	 (playlist * pl, int karma);
